#include <bits/stdc++.h>
using namespace std;
int n,a[1000005];
long long najmanji,najveci,x;
int main()
{
    najmanji=100000050;
    najveci=-100000050;
    cin>>n>>x;
    for(int i=1; i<=n; i++)
        cin>>a[i];
    for(int i=1; i<=n; i++){
        if(a[i]<najmanji) najmanji=a[i];
        if(a[i]>najveci) najveci=a[i];
    }
    if(x<najmanji) cout<<najveci-x;
    else if(x>najveci) cout<<x-najmanji;
    else if( abs ( najmanji - x ) > najveci - x )
        cout<<najveci-x + najveci-najmanji;
    else
        cout<<x-najmanji +najveci-najmanji;
    return 0;
}